closeon = new Image();
closeon.src = "img/close-on.png"; 
closeoff = new Image();
closeoff.src = "img/close.png"; 

function closeFeedback() {
	var feedback = document.getElementById("FeedbackBlock");
	feedback.style.display = "none";
	return false;
}

function submitFeedback() {
	var feedback = document.getElementById("FeedbackBlock");
	var feedform = document.getElementById("FeedbackForm");
	if ( feedform.feedback.value == null || feedform.feedback.value == "" ) {
		alert( "You will need some feedback to feedback in order to submit this form" );
		return false;
	}
	feedback.style.display = "none";
	return true;
}

function toggleFeedback( id ) {
	var feedback = document.getElementById("FeedbackBlock");
	if (feedback.style.display == "block") {
		feedback.style.display = "none";
		SetImage('FeedbackClose','img/close.png');
	} else {
		var chapter = document.title;
		chapter = chapter.substring( chapter.indexOf( ':' ) + 2 );
		var section = "";
		if ( id != 'PAGE' ) {
			section = document.getElementById( id ).innerHTML;
			if ( section.indexOf( '[' ) >= 0 ) {
				section = section.substring( 0, section.indexOf( '[' ) - 1 );
			}
		}
		var oq = '&#8220;';
		var cq = '&#8221;';
		var txt = 'Please provide feedback for chapter ' + oq + chapter + cq;
		if ( id != 'PAGE' ) {
			txt = txt + '<br>section ' + oq + section + cq;
		}
		document.getElementById("FeedbackBlockText").innerHTML = txt;
		document.getElementById("FeedbackChapter").value = chapter;
		document.getElementById("FeedbackSection").value = section;
		SetImage('FeedbackClose','img/close.png');
		feedback.style.display = "block";
	}
	return false;
}

function SetImage( id, imagename ) {
	var img = document.getElementById( id );
	img.src = imagename;
	return true;
}
